Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157206 - class name appears as A in error messages
Summary: class name appears as A in error messages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 12:43 UTC by Robert J. Nichols
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-10 09:45:11 UTC


Attachments (Terms of Use)

Description Robert J. Nichols 2005-05-09 12:43:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; T312461)

Description of problem:
Information in error messages produced by gcc 4.0.0 in fc4test2 is being represented by the character à on my machine e.g.

/public/test.cpp:92:error: Ã has no member named Ã

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Reference a missing class member
2. 
3.
  

Actual Results:  The following error message is generated
/public/test.cpp:92: error à has no member named Ã

Expected Results:  name of class and member should have appeared in the error message

Additional info:

Comment 1 Jakub Jelinek 2005-05-10 07:29:19 UTC
Please provide a self-contained testcase.

Comment 2 Jakub Jelinek 2005-05-10 09:45:11 UTC
"gcc output shows hex codes e2 80 in the message which is causing the
problem."

Your terminal setup is wrong then.  If you are running GCC in UTF-8 locale
(such as en_US.UTF-8), it prints the opening/closing quotes as UTF-8 non-ASCII
characters (\xe2\x80\x98 and \xe2\x80\x99).
If your terminal can't handle this and can't be changed to grok that, you should
not run programs in UTF-8 locale.  In say en_US locale (or C locale) GCC will use
' as both opening and closing quote.



Note You need to log in before you can comment on or make changes to this bug.